Security Lab

Уязвимость форматной строки в GNOME-DB libgda

Дата публикации:27.10.2005
Дата изменения:16.10.2006
Всего просмотров:1772
Опасность:
Средняя
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: GNOME-DB 1.x
Уязвимые версии: GNOME-DB libgda 1.9.100

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость форматной строки обнаружена в функциях gda_log_error() и gda_log_message() в модуле gda-log.c. Удаленный пользователь может с помощью специально сформированного запроса вызвать переполнение буфера и выполнить произвольный код на целевой системе.

Решение: Установите исправление с сайта производителя.

Источник:

Ссылки: libgda2 vulnerability